import React from 'react';
import SettingFieldView from './settingFieldView';
import './settingPanel.less';
export default function SettingPanel(props) {
  return /*#__PURE__*/React.createElement("div", {
    className: "vitis-settings-pane"
  }, props.target.fields.map(function (field) {
    return /*#__PURE__*/React.createElement(SettingFieldView, {
      field: field,
      key: field.id
    });
  }));
}